Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  trait CompilerControl extends AnyRef

  Interface of interactive compiler to a client such as an IDE The model the presentation compiler consists of the following parts:

  Interface of interactive compiler to a client such as an IDE The model the presentation compiler consists of the following parts:

  unitOfFile: The map from sourcefiles to loaded units. A sourcefile/unit is loaded if it occurs in that map.

  manipulated by: removeUnitOf, reloadSources.

  A call to reloadSources will add the given sources to the loaded units, and start a new background compiler pass to compile all loaded units (with the indicated sources first). Each background compiler pass has its own typer run. The background compiler thread can be interrupted each time an AST node is completely typechecked in the following ways:

  1. by a new call to reloadSources. This starts a new background compiler pass with a new typer run. 2. by a call to askTypeTree. This starts a new typer run if the forceReload parameter = true 3. by a call to askTypeAt, askTypeCompletion, askScopeCompletion, askToDoFirst, askLinkPos, askLastType. 4. by raising an exception in the scheduler. 5. by passing a high-priority action wrapped in ask { ... }.

  Actions under 1-3 can themselves be interrupted if they involve typechecking AST nodes. High-priority actions under 5 cannot; they always run to completion. So these high-priority actions should to be short.

  Normally, an interrupted action continues after the interrupting action is finished. However, if the interrupting action created a new typer run, the interrupted action is aborted. If there's an outstanding response, it will be set to a Right value with a FreshRunReq exception.

  Definition Classes
    interactive
- AskDocCommentItem
- AskLinkPosItem
- AskLoadedTypedItem
- AskParsedEnteredItem
- AskScopeCompletionItem
- AskToDoFirstItem
- AskTypeAtItem
- AskTypeCompletionItem
- AskTypeItem
- FilesDeletedItem
- Member
- NoWorkScheduler
- ReloadItem
- ScopeMember
- TypeMember
- WorkItem

c

scala.tools.nsc.interactive.CompilerControl

# AskTypeAtItem 

###

#### case class AskTypeAtItem(pos: Global.Position, response: Global.Response[Global.Tree]) extends Global.WorkItem with Product with Serializable

Source
  CompilerControl.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Global.WorkItem, () ⇒ Unit, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AskTypeAtItem
2. Serializable
3. Serializable
4. Product
5. Equals
6. WorkItem
7. Function0
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AskTypeAtItem(pos: Global.Position, response: Global.Response[Global.Tree])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Global.AskTypeAtItem to any2stringadd[Global.AskTypeAtItem] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Global.AskTypeAtItem, B)
   Implicit
     This member is added by an implicit conversion from Global.AskTypeAtItem to ArrowAssoc[Global.AskTypeAtItem] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(): Unit
   Definition Classes
     AskTypeAtItem → Function0
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (Global.AskTypeAtItem) ⇒ Boolean, msg: ⇒ Any): Global.AskTypeAtItem
   Implicit
     This member is added by an implicit conversion from Global.AskTypeAtItem to Ensuring[Global.AskTypeAtItem] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Global.AskTypeAtItem) ⇒ Boolean): Global.AskTypeAtItem
    Implicit
      This member is added by an implicit conversion from Global.AskTypeAtItem to Ensuring[Global.AskTypeAtItem] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Global.AskTypeAtItem
    Implicit
      This member is added by an implicit conversion from Global.AskTypeAtItem to Ensuring[Global.AskTypeAtItem] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Global.AskTypeAtItem
    Implicit
      This member is added by an implicit conversion from Global.AskTypeAtItem to Ensuring[Global.AskTypeAtItem] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Global.AskTypeAtItem to StringFormat[Global.AskTypeAtItem] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
21.  val onCompilerThread: Boolean
    Definition Classes
      WorkItem
22.  val pos: Global.Position
23.  def raiseMissing(): Unit

    Raise a MissingResponse, if the work item carries a response.

    Raise a MissingResponse, if the work item carries a response.

    Definition Classes
      AskTypeAtItem → WorkItem
24.  val response: Global.Response[Global.Tree]
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AskTypeAtItem → Function0 → AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (Global.AskTypeAtItem, B)
    Implicit
      This member is added by an implicit conversion from Global.AskTypeAtItem to ArrowAssoc[Global.AskTypeAtItem] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Global.WorkItem

### Inherited from () ⇒ Unit

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.AskTypeAtItem to any2stringadd[Global.AskTypeAtItem]

### Inherited by implicit conversion StringFormat from Global.AskTypeAtItem to StringFormat[Global.AskTypeAtItem]

### Inherited by implicit conversion Ensuring from Global.AskTypeAtItem to Ensuring[Global.AskTypeAtItem]

### Inherited by implicit conversion ArrowAssoc from Global.AskTypeAtItem to ArrowAssoc[Global.AskTypeAtItem]

### Ungrouped